This patch eliminates following CL warnings and errors:
* warning C4028: formal parameter 1 different from declaration
* warning C4114: same type qualifier used more than once
* error C2059: syntax error : '}'
Index: libtransmission/quark.h
===================================================================
--- libtransmission/quark.h	(revision 14186)
+++ libtransmission/quark.h	(working copy)
@@ -414,7 +414,7 @@
 /**
  * Get the string that corresponds to the specified quark
  */
-const char * tr_quark_get_string (const tr_quark quark, size_t * len);
+const char * tr_quark_get_string (tr_quark quark, size_t * len);
 
 /**
  * Create a new quark for the specified string. If a quark already
Index: libtransmission/rpcimpl.c
===================================================================
--- libtransmission/rpcimpl.c	(revision 14186)
+++ libtransmission/rpcimpl.c	(working copy)
@@ -900,8 +900,8 @@
   if (n > 0)
     {
       int i;
-      const tr_info const * inf = tr_torrentInfo (tor);
-      const tr_stat const * st = tr_torrentStat ((tr_torrent*)tor);
+      const tr_info * const inf = tr_torrentInfo (tor);
+      const tr_stat * const st = tr_torrentStat ((tr_torrent*)tor);
 
       for (i=0; i<n; ++i)
         {
Index: libtransmission/tr-lpd.c
===================================================================
--- libtransmission/tr-lpd.c	(revision 14186)
+++ libtransmission/tr-lpd.c	(working copy)
@@ -216,7 +216,7 @@
 {
     /* configure maximum length of search string here */
     enum { maxLength = 30 };
-    char sstr[maxLength] = { };
+    char sstr[maxLength] = { 0 };
     const char* pos;
 
     assert (str != NULL && name != NULL);
@@ -445,7 +445,7 @@
         CRLF;
 
     char hashString[lengthof (t->info.hashString)];
-    char query[lpd_maxDatagramLength + 1] = { };
+    char query[lpd_maxDatagramLength + 1] = { 0 };
 
     if (t == NULL)
         return false;
@@ -499,8 +499,8 @@
     };
 
     struct lpd_protocolVersion ver = { -1, -1 };
-    char value[maxValueLen] = { };
-    char hashString[maxHashLen] = { };
+    char value[maxValueLen] = { 0 };
+    char hashString[maxHashLen] = { 0 };
     int res = 0, peerPort = 0;
 
     if (peer != NULL && msg != NULL)
@@ -644,7 +644,7 @@
         int addrLen = sizeof foreignAddr;
 
         /* be paranoid enough about zero terminating the foreign string */
-        char foreignMsg[lpd_maxDatagramLength + 1] = { };
+        char foreignMsg[lpd_maxDatagramLength + 1] = { 0 };
 
         /* process local announcement from foreign peer */
         int res = recvfrom (lpd_socket, foreignMsg, lpd_maxDatagramLength,
